This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 576928 - Missing Device ID for HP LaserJet 2300
Missing Device ID for HP LaserJet 2300
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: IEEE1284DeviceIDs
  Show dependency treegraph
 
Reported: 2010-03-25 12:23 EDT by Tim Waugh
Modified: 2010-05-07 00:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: hplip-3.10.2-11.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 00:01:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2010-03-25 12:23:26 EDT
$ ./check-device-ids.py 'HP LaserJet 2300' 'MFG:Hewlett-Packard;CMD:PJL,MLC,BIDI-ECP,PCLXL,PCL,PJL,POSTSCRIPT;1284.4DL:4d,4e,1;MDL:hp LaserJet 2300 series;CLS:PRINTER;DES:Hewlett-Packard LaserJet 2300 series;'
Installing relevant drivers using session service
Ignoring exception: org.freedesktop.PackageKit.Modify.Cancelled: did not agree to download
Fetching driver list
└── HP LaserJet 2300: MFG:Hewlett-Packard;MDL:hp LaserJet 2300 series;CMD:PJL,MLC,BIDI-ECP,PCLXL,PCL,PJL,POSTSCRIPT;
    ├── foomatic:HP-LaserJet_2300-hpijs.ppd [/usr/lib/cups/driver/foomatic]
    ├── gutenprint.5.2://hp-lj_2300/simple [/usr/lib/cups/driver/gutenprint.5.2]
    ├── gutenprint.5.2://hp-lj_2300/expert [/usr/lib/cups/driver/gutenprint.5.2]
    ├── foomatic:HP-LaserJet_2300-Postscript.ppd [/usr/lib/cups/driver/foomatic]
    ├── drv:///hp/hpcups.drv/hp-laserjet_2300_series.ppd [/usr/share/cups/drv/hp/hpcups.drv]
    ├── foomatic:HP-LaserJet_2300-lj4dith.ppd [/usr/lib/cups/driver/foomatic]
    ├── foomatic:HP-LaserJet_2300-lj5gray.ppd [/usr/lib/cups/driver/foomatic]
    ├── foomatic:HP-LaserJet_2300-ljet4.ppd [/usr/lib/cups/driver/foomatic]
    └── foomatic:HP-LaserJet_2300-pxlmono.ppd [/usr/lib/cups/driver/foomatic]
        MISSING  lsb/usr/HP/hp-laserjet_2300_series-ps.ppd.gz [/usr/share/cups/model/lsb/usr/HP/hp-laserjet_2300_series-ps.ppd.gz]
        MISSING  lsb/usr/HP/hp-laserjet_2300-ps.ppd.gz [/usr/share/cups/model/lsb/usr/HP/hp-laserjet_2300-ps.ppd.gz]
        MISSING  drv:///hp/hpcups.drv/hp-laserjet_2300-pcl3.ppd [/usr/share/cups/drv/hp/hpcups.drv]

hplip-3.10.2-5.fc13.x86_64
Comment 2 Tim Waugh 2010-03-25 12:45:28 EDT
So what's missing is:

1. the *1284DeviceID: line in hp-laserjet_2300_series-ps.ppd.gz
2. the *1284DeviceID: line in hp-laserjet_2300-ps.ppd.gz
3. the correct Device ID attribute in hpcups.drv for "hp-laserjet_2300-pcl3"
Comment 9 Fedora Update System 2010-04-16 18:08:18 EDT
hplip-3.10.2-11.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/hplip-3.10.2-11.fc13
Comment 10 Fedora Update System 2010-04-20 09:26:40 EDT
hplip-3.10.2-11.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/hplip-3.10.2-11.fc13
Comment 11 Fedora Update System 2010-05-07 00:00:03 EDT
hplip-3.10.2-11.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.